/**
 * output package name
 */
package com.kingdee.eas.custom.integration.base.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class SyncStatusEnum extends StringEnum
{
    public static final String SUCCESS_VALUE = "1";//alias=³É¹¦
    public static final String FAIL_VALUE = "2";//alias=Ê§°Ü
    public static final String UNSYNC_VALUE = "0";//alias=Î´Í¬²½

    public static final SyncStatusEnum SUCCESS = new SyncStatusEnum("SUCCESS", SUCCESS_VALUE);
    public static final SyncStatusEnum FAIL = new SyncStatusEnum("FAIL", FAIL_VALUE);
    public static final SyncStatusEnum UNSYNC = new SyncStatusEnum("UNSYNC", UNSYNC_VALUE);

    /**
     * construct function
     * @param String syncStatusEnum
     */
    private SyncStatusEnum(String name, String syncStatusEnum)
    {
        super(name, syncStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static SyncStatusEnum getEnum(String syncStatusEnum)
    {
        return (SyncStatusEnum)getEnum(SyncStatusEnum.class, syncStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(SyncStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(SyncStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(SyncStatusEnum.class);
    }
}